@import "../../../assets/css/constants.scss";
.admin-layout {
    .admin-nav-mobile {
        display: none;
    }
    .admin-nav-container {
        width: 200px;
        position: fixed;
        cursor: pointer;
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
        flex-direction: column;
        height: 100%;
        background-color: $SANED_PRIMARY-COLOR;
        z-index: 9999;
        bottom: 0;
        transition: all ease-in 0.2s;
        .expand-icon {
            position: absolute;
            bottom: 20px;
            font-size: 20px;
            color: $PRIMARY_WHITE;
            width: 100%;
            display: flex;
            justify-self: flex-end;
            .icon {
                width: 100%;
                display: flex;
                justify-content: flex-end;
                .rotateIcon {
                    transform: rotate(180deg);
                }
                i {
                    padding: 10px;
                    transition: all ease-in 0.2s;
                }
            }
        }
    }
    
    .admin-body-container {
        display: flex;
        width: calc(100% - 200px);
        margin: 75px 0 0;
        float: right;
        padding-bottom: 20px;
        -webkit-box-pack: center;
        -webkit-justify-content: center;
        -ms-flex-pack: center;
        justify-content: center;
        -webkit-align-items: center;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        background-color: #e8e9ed;
    }
  }

  .admin-body-container {
    display: flex;
    width: calc(100vw - 200px);
    margin: 75px 0 0;
    float: right;
    padding-bottom: 20px;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-align-items: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    background-color: #e6eaed;
  }

.admin-header {
  position: fixed;
  top: 0;
  right: 0;
  width: calc(100vw - 200px);
  height: 75px;
  align-items: center;
  display: flex;
  border-bottom: 1px solid grey;
  z-index: 100;
  background-color: $PRIMARY_WHITE;
}

@media only screen and (max-width: 768px) {
  .admin-header {
    height: 125px;
  }
  .admin-nav-container {
    display: block !important;
    height: 100vh !important;
  }
  .admin-nav-mobile {
    display: block !important;
  }
}

.body-container {
  max-width: 1200px;
  padding: 0 20px;
}

.admin-container {
  width: 100%;
  min-height: 100vh;
}
